@charset "UTF-8";

body {
  display: block;
  animation: fadeInAnimation ease-in-out 0.9s;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}

@keyframes fadeInAnimation {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

footer {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  width: 100%;
  justify-content: flex-start;
  font-family: Aktiv Grotesk Hair, sans-serif;
  color: #555555;
  font-size: 0.8em;
  font-weight: 100;
  line-height: 1.875em;
  letter-spacing: 0.1rem;
  margin-left: 1em;
}

.contact_page {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: flex-start;
  align-items: center;
  aspect-ratio: 16 / 9;
  height: auto;
  width: auto;
  min-height: 0;
  min-width: 0;
  max-height: 100%;
  max-height: 100dvh;
  max-width: 100dvw;
  max-width: 120em;
  object-fit: contain;
  margin-left: auto;
  margin-right: auto;
}

.contact_content {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: space-between;
  align-items: center;
  aspect-ratio: 2 / 1;
  object-fit: contain;
  background-image: url("../images/Hands_Heather.webp");
  background-position: 0 0;
  background-repeat: no-repeat;
  background-size: cover;
  height: 100%;
  width: 100%;
  max-height: 100%;
  max-width: 100%;
}

.form_container {
  display: flex;
  flex: 0 auto;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  min-height: 0;
  min-width: 0;
  width: 31.25em;
  height: 18.75em;
  max-height: 18.75em;
  max-width: 31.25em;
  margin-top: 10em;
  position: relative;
}

.form_modal_success {
  display: none;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
  z-index: 1;
  min-height: 0;
  min-width: 0;
  width: 100%;
  height: 100%;
  background-color: #cfcfcf;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  border: 1px white solid;
  color: #7b7b7b;
  font-family: Gill Sans Nova Book, sans-serif;
  font-size: 1.25em;
  line-height: 1.25em;
  opacity: 0.6;
}

.form_modal_error {
  display: none;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
  z-index: 1;
  min-height: 0;
  min-width: 0;
  width: 100%;
  height: 100%;
  background-color: #cfcfcf;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  border: 1px white solid;
  color: #7b7b7b;
  font-family: Gill Sans Nova Book, sans-serif;
  font-size: 1.25em;
  line-height: 1.25em;
  opacity: 0.6;
}

.button_modal_close {
  color: #7b7b7b;
  font-family: Gill Sans Nova Book, sans-serif;
  font-size: 1.25em;
  line-height: 1.25em;
}

.form {
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
  width: 95%;
  height: 95%;
  flex: 0 auto;
}

.button_submit {
  justify-self: center;
  align-self: center;
}

.form-field {
  display: flex;
  flex-direction: column;
  width: auto;
  color: #000;
  text-align: left;
  background-color: rgba(255, 255, 255, 0);
  border: 1px #000;
  border-left: none;
  border-right: none;
  border-top: none;
  border-left-style: none;
  border-right-style: none;
  border-radius: 0;
  border-bottom: 1px solid #fff;
  margin-bottom: 1em;
  padding-bottom: 0;
  padding-left: 0;
  padding-right: 0;
  font-family: Gill Sans Nova Light, sans-serif;
  font-size: 1.2em;
  font-weight: 200;
  line-height: 1em;
  letter-spacing: 0.1rem;
  align-self: stretch;
}

.form-field::-ms-input-placeholder {
  color: #fff;
  text-align: left;
  font-family: Gill Sans Nova Light, sans-serif;
  font-size: 1.2em;
  font-weight: 200;
  line-height: 1em;
  letter-spacing: 0.1rem;
  align-self: flex-start;
}

.form-field::placeholder {
  color: #fff;
  text-align: left;
  font-family: Gill Sans Nova Light, sans-serif;
  font-size: 1.2em;
  font-weight: 200;
  line-height: 1em;
  letter-spacing: 0.1rem;
  align-self: flex-start;
}

.button_submit {
  width: 150px;
  height: 50px;
  color: #7b7b7b;
  background-color: rgba(255, 255, 255, 0);
  align-self: auto;
  padding: 0;
  font-family: Gill Sans Nova Book, sans-serif;
  font-size: 1.25em;
  line-height: 1.25em;
  border: none;
}

.button_submit:hover {
  border: 1px solid #fff;
}

.contact_links {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-self: flex-end;
  align-items: flex-end;
  margin-bottom: 1em;
  margin-top: 1em;
  margin-left: 1em;
  margin-right: 1em;
  font-family: Gill Sans Nova Ultra Light, sans-serif;
  font-size: 1.125em;
  font-weight: 200;
  min-height: 0;
  min-width: 0;
  text-decoration: none;
}

.email_link:hover {
  font-weight: 300;
  text-decoration: none;
  color: white;
}

.instagram_link:hover {
  font-weight: 300;
  text-decoration: none;
  color: white;
}

.email_address:hover {
  font-weight: 300;
  color: white;
}

.instagram_handle:hover {
  font-weight: 300;
  color: white;
}

.email_link {
  color: #555;
  justify-content: space-around;
  align-self: auto;
  align-items: center;
  margin-top: 10px;
  margin-bottom: 10px;
  font-size: 1.125em;
  font-weight: 200;
  text-decoration: none;
  display: flex;
}

.email_address {
  margin-left: 5px;
  margin-right: 5px;
  font-family: Gill Sans Nova Ultra Light, sans-serif;
  font-size: 1.125em;
  line-height: 1.25em;
}

.instagram_link {
  color: #555;
  justify-content: space-around;
  align-items: center;
  margin-top: 10px;
  margin-bottom: 10px;
  font-size: 1.125em;
  font-weight: 200;
  text-decoration: none;
  display: flex;
}

.instagram_handle {
  margin-left: 5px;
  margin-right: 5px;
  font-family: Gill Sans Nova Ultra Light, sans-serif;
  font-size: 1.125em;
  line-height: 1.25em;
}

@media screen and (max-width: 768px), (orientation: portrait) {
  body {
    width: 100%;
    max-width: 100%;
    height: 100dvh;
    overflow-y: auto;
  }

  .contact_page {
    min-height: 0;
    min-width: 0;
    height: 100%;
    height: 100dvh;
    width: 100%;
    width: 100dvw;
    max-width: 100%;
    max-width: 100dvw;
    aspect-ratio: auto;
  }

  .contact_content {
    aspect-ratio: auto;
    min-width: 0;
    width: 100%;
    max-width: 100%;
    background-image: url("../images/Hands_Heather_Portrait.webp");
    background-position: 0 0;
    background-repeat: no-repeat;
    background-size: fill;
    flex-direction: column-reverse;
    justify-content: flex-end;
    align-items: center;
  }

  .form_container {
    margin-top: 5em;
  }

  .form-field {
    line-height: 1em;
  }
  .form-field::-ms-input-placeholder {
    line-height: 1em;
  }

  .form-field::placeholder {
    line-height: 1em;
  }

  .form_modal_success {
    width: 100%;
    height: 100%;
    max-height: 100%;
    max-width: 100%;
  }

  .form_modal_error {
    width: 100%;
    height: 100%;
    max-height: 100%;
    max-width: 100%;
  }

  .contact_links {
    color: #333333;
    font-family: Gill Sans Nova Light, sans-serif;
  }

  .instagram_handle {
    color: #333333;
    font-family: Gill Sans Nova Light, sans-serif;
  }

  .instagram_link {
    color: #333333;
    font-family: Gill Sans Nova Light, sans-serif;
  }

  .email_address {
    color: #333333;
    font-family: Gill Sans Nova Light, sans-serif;
  }

  .email_link {
    color: #333333;
    font-family: Gill Sans Nova Light, sans-serif;
  }
}
